Subject: Re: bug#49931: 28.0.50; `choose-completion' submits incorrect string when minibuffer content changes after creation of the *Completions* buffer

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Aug 2021 11:19:10 +0300

> Date: Sun, 8 Aug 2021 09:31:12 +0200 (CEST)
> From: Visuwesh <[email-masked]>
> Cc: 49931 <[email-masked]>
> 
> 8 Aug 2021, 12:44 by [email-masked]:
> 
> > In particular, depending on the context of the completion, typing
> > more stuff after selecting a candidate is what is actually needed, so
> > ignoring that would break valid use cases.
> 
> Indeed, this makes sense when selecting a candidate that does not exit
> the minibuffer, like `find-file'.  I, for one, do not think that the
> current behaviour of `choose-completion' wherein it completely ignores
> whatever typed after the creation of the *Completions* buffer is
> unexpected when it comes to commands like `describe-function' which
> exits the minibuffer upon selecting the candidate.

Even though the command exits the minibuffer, the stuff you typed
before selection shouldn't necessarily be ignored, since you could be
completing on stuff that doesn't yield complete function names.

> > Therefore I think we will have to agree to disagree on this one. I
> > see no bug in the behavior you described. If it looks misleading to
> > you, you will have to get used to it.
> 
> If the above still does not convince you, then we will have to agree
> to disagree.

Yes.